#
# spec file for package siag (Version 3.4.9)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  gdbm glibc gmp python t1lib tcl xdevel
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gmp gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps python rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit t1lib tcl texinfo textutils timezone unzip util-linux vim xdevel

Name:         siag
Copyright:    GPL
Group:        Applications/Editors
Autoreqprov:  on
Version:      3.4.9
Release:      67
Source:       ftp://siag.nu/pub/siag/%{name}-%{version}.tar.bz2
Patch0:        %{name}-%{version}-acinc.patch
Patch1:        %{name}-%{version}-docdir.patch
URL:          http://siag.nu/
BuildRoot:    %{_tmppath}/%{name}-root
Summary:      Free office package

%description
Siag Office is a tightly integrated, free office package.
Siag Office consists of the word processor Pathetic Writer, the
spreadsheet Siag and the animation program Egon Animator.
Also included are the file manager Xfiler, the text editor Xedplus
and the Postscript viewer Gvu.

Authors:
--------
    Ulric Eriksson <ulric@siag.nu> 
     
    Dan Gohman (Tsiag, the Curses interface) 
     
    Russ McManus (Guile support) 
     
    Daniel Risacher (R1C1 references, Gtk support) 
     
    Robert Wittams (More Gtk work) 
     
    Daniel M Duley (KDE port) 
     
    John Jones ("Smart" filling) 
     
    Jon K Hellan (Format support in WK1 code) 
     
    Dag Nygren (Date/time formatting) 
     
    Emmanuel Bigler (HPUX port) 
     
    Rob McMullen (TextField widget) 
     
    Cesar Crusius (Drag and drop protocol) 
     
    George J Carrette (SIOD Scheme interpreter) 
     
     
    

SuSE series: xap

%prep
%setup -n %{name}-%{version}
%patch0
%patch1

%build
%define myprefix /usr
%{?suse_update_config:%{suse_update_config -f XawM}}
cd XawM
libtoolize --force
aclocal
autoconf
cd ..
aclocal
autoconf
CFLAGS="$RPM_OPT_FLAGS" LDFLAGS=-L/usr/lib/python2.0/config
./configure     --mandir=%{_mandir} \
		--infodir=%{_infodir} \
		--bindir=%{myprefix}/bin \
                --prefix=%{myprefix} \
		--sbindir=%{myprefix}/sbin \
		--datadir=%{myprefix}/share \
		--libdir=%{myprefix}/lib \
		--libexecdir=%{myprefix}/libexec \
		--sysconfdir=%{_sysconfdir} \
		--localstatedir=%{_localstatedir} \
		--includedir=%{myprefix}/include} \
		--sharedstatedir=%{myprefix}/com \
		--with-ndbm=libname \
		--with-tcl=libname \
		--with-gmp \
		--with-t1lib \
		--with-python \
		--with-xawm
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
cp README AUTHORS NLS $RPM_BUILD_ROOT%{myprefix}/share/doc/packages/siag

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc %{myprefix}/share/doc/packages/siag
%{myprefix}/bin/*
%{myprefix}/lib/siag/plugins
%{myprefix}/share/siag/*

%changelog -n siag
* Wed Aug 15 2001 - ro@suse.de
- removed allman from neededforbuild
* Mon Aug 13 2001 - schwab@suse.de
- Fix use of %%suse_update_config.
- Run libtoolize in XawM directory, not in toplevel.
* Tue Jul 10 2001 - adostal@suse.cz
- create a new package (v.3.4.9)
- create patch to compile in file acinclude.m4
- change path in docdir (patch on Makefile.am)
